#ifndef KERNEL_H
#define KERNEL_H

#include "nbody.h"

#ifdef __cplusplus
extern "C" {
#endif

#pragma oss task in(*block1, *block2) inout(*forces) label(calculate_forces_block) device(cuda) ndrange(1, block_size, 128)
__global__ void calculate_forces_block_cuda(forces_block_t *forces, const particles_block_t *block1, const particles_block_t *block2, const int block_size);

#ifdef __cplusplus
}
#endif

#endif // KERNEL_H

